## x2gokdrive 0.0.0.3

=== Makefile ===
include ../ephyr/Makefile

VPATH = ../../../../../../hw/kdrive/x2gokdrive

X2GO_OBJECTS = x2gokdriveselection.o x2gokdrive.o \
	x2gokdriveinit.o x2gokdrivecursor.o x2gokdriveremote.o

x2gokdrive: $(X2GO_OBJECTS) $(Xephyr_DEPENDENCIES) $(EXTRA_Xephyr_DEPENDENCIES)
	$(AM_V_CCLD)$(Xephyr_LINK) $(X2GO_OBJECTS) $(Xephyr_LDADD) $(LIBS) -lz -ljpeg -lpng -lpthread -lxcb-xfixes

x2goclean:
	rm *.o x2gokdrive

x2go: x2gokdrive

## x2gokdrive 0.0.0.1

=== debian/changelog ===
x2gokdrive (0.0.0.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1039523).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 27 Jun 2023 00:41:46 +0200

=== debian/control ===
Source: x2gokdrive
Section: x11
Priority: optional
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
# x2gokdrive
 xorg-server-source,
 libjpeg-dev,
 libpng-dev,
# xorg-server
 debhelper-compat (= 13),
 po-debconf,
 dpkg-dev (>= 1.16.1),
 quilt,
 lsb-release,
 pkg-config,
 bison,
 flex,
 xutils-dev (>= 1:7.6+4),
 xfonts-utils (>= 1:7.5+1),
 x11proto-core-dev (>= 7.0.24),
 xtrans-dev (>= 1.3.2),
 libxau-dev (>= 1:1.0.5-2),
 libxdmcp-dev (>= 1:0.99.1),
 libxfont-dev (>= 1.4.2),
 libxkbfile-dev (>= 1:0.99.1),
 libpixman-1-dev (>= 0.27.2),
 libpciaccess-dev (>= 0.12.901),
 libgcrypt-dev,
 nettle-dev,
 libselinux1-dev (>= 2.0.80) [linux-any],
 libaudit-dev [linux-any],
 libpam-dev,
 libgl-dev,
 libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
 libxcvt-dev | sl,
 libxmuu-dev (>= 1:0.99.1),
 libxext-dev (>= 1:0.99.1),
 libx11-dev (>= 2:1.6),
 libxrender-dev (>= 1:0.9.0),
 libxi-dev (>= 2:1.6.99.1),
 libxpm-dev (>= 1:3.5.3),
 libxaw7-dev (>= 1:0.99.1),
 libxt-dev (>= 1:0.99.1),
 libxmu-dev (>= 1:0.99.1),
 libxtst-dev (>= 1:0.99.1),
 libxres-dev (>= 1:0.99.1),
 libxfixes-dev (>= 1:3.0.0),
 libxv-dev,
 libxinerama-dev,
 libxshmfence-dev (>= 1.1) [!hurd-i386],
# XCB bits for Xephyr
 libxcb1-dev,
 libxcb-xkb-dev,
 libxcb-shape0-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-util-dev,
 libxcb-image0-dev,
 libxcb-icccm4-dev,
 libxcb-shm0-dev,
 libxcb-keysyms1-dev,
 libxcb-randr0-dev,
 libxcb-xv0-dev,
 libxcb-glx0-dev,
 libxcb-xfixes0-dev,
 libxcb-xf86dri0-dev (>= 1.6),
 mesa-common-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://wiki.x2go.org/
Vcs-Git: https://salsa.debian.org/debian-remote-team/x2gokdrive.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2gokdrive/

Package: xserver-x2gokdrive
Architecture: any
Depends:
 xserver-common (>= 1.20.3~),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 x2goserver (>= 4.1.0.4~),
 libgl1-mesa-dri (>= 7.1~rc1),
Description: KDrive graphical server backend for X2Go Server
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package is built from the X.org xserver module. X2Go KDrive is a
 KDrive-based Xserver for X2Go. It provides support for running modern
 desktop environments like GNOME, KDE Plasma, Cinnamon, etc. in X2Go
 Sessions.
 .
 The X2Go KDrive graphical backend is not suitable for low bandwidth WAN
 connections between X2Go Client and X2Go Server. It is supposed for X2Go
 being used on the local area network.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 More information about X2Go can be found at:
 <URL:https://wiki.x2go.org>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include debian/rules.flags

%:
	dh $@

override_dh_auto_configure:
	# prepare xorg-server build tree
	mkdir -p '$(CURDIR)/BUILD'
	cd '$(CURDIR)/BUILD' && tar -xvf '/usr/src/xorg-server.tar.xz'
	mkdir -p '$(CURDIR)/BUILD/xorg-server/hw/kdrive/x2gokdrive/'

	# inject x2gokdrive into xorg-server build tree
	cp 'Makefile.am' *'.c' *'.h' '$(CURDIR)/BUILD/xorg-server/hw/kdrive/x2gokdrive/'
	cp -r '$(CURDIR)/man/' 'BUILD/xorg-server/hw/kdrive/x2gokdrive/'

	# patch xorg-server build tree, so that it will build x2gokdrive
	set -x; \
		export XORG_UPSTREAM_VERSION="$$(grep AC_INIT '$(CURDIR)/BUILD/xorg-server/configure.ac' | sed -r 's/^AC_INIT[^,]*, ([^,]+),.*/\1/')" && \
		cd '$(CURDIR)/BUILD/xorg-server' && \
		if [ -d  "../../patches.xorg/$${XORG_UPSTREAM_VERSION}" ]; then \
			QUILT_PATCHES="../../patches.xorg/$${XORG_UPSTREAM_VERSION}/" quilt push -a; \
		else \
			( \
				set +x; \
				printf '\n##################################################\nERROR: This X2Go KDrive version does not support\nbuilding against X.Org version %s.\n##################################################\n' "$${XORG_UPSTREAM_VERSION}"; \
				exit '1'; \
			); \
		fi

	# run autoreconf
	cd '$(CURDIR)/BUILD/xorg-server' && autoreconf -fvi

	# run configure
	dh_auto_configure --builddirectory='BUILD/xorg-server/' --sourcedirectory='BUILD/xorg-server/' -- \
	    $(confflags) \
	    $(confflags_main) \
	    $(vars)

override_dh_auto_build:
	dh_auto_build --builddirectory='BUILD/xorg-server/' --sourcedirectory='BUILD/xorg-server/'

override_dh_auto_test:
	# disabled, nothing to test for x2gokdrive...

override_dh_auto_install:
	dh_auto_install --builddirectory='BUILD/xorg-server/' --destdir='debian/tmp/'

	# drop unwanted files
	rm       debian/tmp/usr/lib/xorg/protocol.txt
	rmdir -p --ignore-fail-on-non-empty \
                 debian/tmp/usr/lib/xorg/
	rm       debian/tmp/usr/share/man/man1/Xserver.1
	rmdir -p --ignore-fail-on-non-empty \
                 debian/tmp/usr/share/man/man1/
	rm       debian/tmp/var/lib/xkb/README.compiled
	rmdir -p --ignore-fail-on-non-empty \
                 debian/tmp/var/lib/xkb/

override_dh_auto_clean:
	-dh_auto_clean

override_dh_clean:
	-dh_clean
	rm -Rf '$(CURDIR)/BUILD/'

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## x2gokdrive 0.0.0.2

=== debian/changelog ===
x2gokdrive (0.0.0.2-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:37:48 +1100

x2gokdrive (0.0.0.2-1ubuntu1) noble; urgency=medium

  * Fix FTBFS agaist newer X.org versions (LP: #2059132). Fixes cherry-picked
    from Debian:
    - debian/rules: Work-around for broken upstream tarball. Place latest-
      available symlink into patches.xorg/.
    - debian/rules: Tolerate newer X.org versions when building.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 26 Mar 2024 10:54:36 -0400

x2gokdrive (0.0.0.2-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:43:42 +0000

x2gokdrive (0.0.0.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1043067).
  * debian/patches:
    + Add README file explaining our patch naming scheme.
    + Drop 1001_typo-fixes.patch. Applied upstream.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Sep 2023 16:06:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: x2gokdrive
 Section: x11
 Priority: optional
-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,9 @@
 	dh $@
 
 override_dh_auto_configure:
+	# work-around for missing symlink patches.xorg/latest-available/
+	ln -s 21.1.8 patches.xorg/latest-available
+
 	# prepare xorg-server build tree
 	mkdir -p '$(CURDIR)/BUILD'
 	cd '$(CURDIR)/BUILD' && tar -xvf '/usr/src/xorg-server.tar.xz'
@@ -29,13 +32,21 @@
 		export XORG_UPSTREAM_VERSION="$$(grep AC_INIT '$(CURDIR)/BUILD/xorg-server/configure.ac' | sed -r 's/^AC_INIT[^,]*, ([^,]+),.*/\1/')" && \
 		cd '$(CURDIR)/BUILD/xorg-server' && \
 		if [ -d  "../../patches.xorg/$${XORG_UPSTREAM_VERSION}" ]; then \
+			QUILT_PATCHES="../../patches.xorg/$${XORG_UPSTREAM_VERSION}/" quilt pop -a; \
+			rm .pc/ -Rfv; \
 			QUILT_PATCHES="../../patches.xorg/$${XORG_UPSTREAM_VERSION}/" quilt push -a; \
 		else \
-			( \
-				set +x; \
-				printf '\n##################################################\nERROR: This X2Go KDrive version does not support\nbuilding against X.Org version %s.\n##################################################\n' "$${XORG_UPSTREAM_VERSION}"; \
-				exit '1'; \
-			); \
+			QUILT_PATCHES='../../patches.xorg/latest-available/' quilt pop -a; \
+			rm -Rfv '.pc'; \
+			QUILT_PATCHES='../../patches.xorg/latest-available/' quilt push -a; \
+			QUILT_EXITCODE="$${?}"; \
+			if [ '0' != "$${QUILT_EXITCODE}" ]; then \
+				( \
+					set +x; \
+					printf '\n##################################################\nERROR: This X2Go KDrive version does not support\nbuilding against X.Org version %s.\n##################################################\n' "$${XORG_UPSTREAM_VERSION}"; \
+					exit '1'; \
+				); \
+			fi; \
 		fi
 
 	# run autoreconf
@@ -74,5 +85,8 @@
 	-dh_clean
 	rm -Rf '$(CURDIR)/BUILD/'
 
+	# work-around for missing symlink patches.xorg/latest-available/
+	rm -f patches.xorg/latest-available
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## x2gokdrive 0.0.0.3

=== debian/changelog ===
x2gokdrive (0.0.0.3-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_x2gokdriveremote.-c-h-fix-OsTimerCallback-FTBFS-on-3.patch.
      Cherry-picked from upstream. (Closes: #1091288).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Mar 2025 19:11:44 +0100

x2gokdrive (0.0.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: (Closes: #1054800)
    + Tolerate newer X.org versions and support building against it
      if patch application does not fail. (Closes: #1054800).
    + Work-around for broken upstream tarball. Place latest-available
      symlink into patches.xorg/.
  * debian/copyright:
    + Update copyright attributions.
    + Update copyright attribution for debian/.
  * debian/control:
    + Switch from pkg-config to pkgconf. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Mar 2024 09:56:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: x2gokdrive
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
@@ -16,7 +15,7 @@
  dpkg-dev (>= 1.16.1),
  quilt,
  lsb-release,
- pkg-config,
+ pkgconf,
  bison,
  flex,
  xutils-dev (>= 1:7.6+4),
@@ -69,7 +68,7 @@
  libxcb-xfixes0-dev,
  libxcb-xf86dri0-dev (>= 1.6),
  mesa-common-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://wiki.x2go.org/
 Vcs-Git: https://salsa.debian.org/debian-remote-team/x2gokdrive.git

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_configure:
 	# work-around for missing symlink patches.xorg/latest-available/
-	ln -s 21.1.8 patches.xorg/latest-available
+	ln -s 21.1.10 patches.xorg/latest-available
 
 	# prepare xorg-server build tree
 	mkdir -p '$(CURDIR)/BUILD'

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://code.x2go.org/releases/source/x2gokdrive/x2gokdrive-(\d+\.\d+\.\d+\.\d+)\.tar\.gz
